- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# set< _Key, _Compare, _Alloc > Class Template Reference

Collaboration diagram for set< _Key, _Compare, _Alloc >:

[legend]
List of all members.

## Public Types
typedef _Key | key_type
typedef _Key | value_type
typedef _Compare | key_compare
typedef _Compare | value_compare
typedef _Rep_type::const_pointer | pointer
typedef _Rep_type::const_pointer | const_pointer
typedef _Rep_type::const_reference | reference
typedef _Rep_type::const_reference | const_reference
typedef _Rep_type::const_iterator | iterator
typedef _Rep_type::const_iterator | const_iterator
typedef _Rep_type::const_reverse_iterator | reverse_iterator
typedef _Rep_type::const_reverse_iterator | const_reverse_iterator
typedef _Rep_type::size_type | size_type
typedef _Rep_type::difference_type | difference_type
typedef _Rep_type::allocator_type | allocator_type
## Public Member Functions
| set ()
| set (const _Compare &__comp, const allocator_type &__a=allocator_type())
| set (const value_type *__first, const value_type *__last)
| set (const value_type *__first, const value_type *__last, const _Compare &__comp, const allocator_type &__a=allocator_type())
| set (const_iterator __first, const_iterator __last)
| set (const_iterator __first, const_iterator __last, const _Compare &__comp, const allocator_type &__a=allocator_type())
| set (const set< _Key, _Compare, _Alloc > &__x)
set< _Key, _Compare, _Alloc > & | operator= (const set< _Key, _Compare, _Alloc > &__x)
key_compare | key_comp () const
value_compare | value_comp () const
allocator_type | get_allocator () const
iterator | begin () const
iterator | end () const
reverse_iterator | rbegin () const
reverse_iterator | rend () const
bool | empty () const
size_type | size () const
size_type | max_size () const
void | swap (set< _Key, _Compare, _Alloc > &__x)
pair< iterator, bool > | insert (const value_type &__x)
iterator | insert (iterator __position, const value_type &__x)
void | insert (const_iterator __first, const_iterator __last)
void | insert (const value_type *__first, const value_type *__last)
void | erase (iterator __position)
size_type | erase (const key_type &__x)
void | erase (iterator __first, iterator __last)
void | clear ()
iterator | find (const key_type &__x) const
size_type | count (const key_type &__x) const
iterator | lower_bound (const key_type &__x) const
iterator | upper_bound (const key_type &__x) const
pair< iterator, iterator > | equal_range (const key_type &__x) const
## Friends
bool | operator==__STL_NULL_TMPL_ARGS (const set &, const set &)
bool | operator<__STL_NULL_TMPL_ARGS (const set &, const set &)

## Detailed Description

### template<class _Key, class _Compare = less<_Key>, class _Alloc = __STL_DEFAULT_ALLOCATOR(_Key)>
class set< _Key, _Compare, _Alloc >

Definition at line 48 of file stl_set.h.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Configs/TI_DSP_BIOS/stl/stl_set.h